KDE 4.9 PyKDE API Reference

- KDE's Python API

# KNFSShare Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

Similar functionality like KFileShare, but works only for NFS and do not need any suid script. It parses the /etc/exports file to get its information. Singleton class, call instance() to get an instance.

## Signals

| changed ()

## Methods

| __init__ (self)
QString | exportsPath (self)
bool | isDirectoryShared (self, QString path)
QStringList | sharedDirectories (self)

## Static Methods

KNFSShare | instance ()

## Signal Documentation

changed | ( |  | ) |

Emitted when the /etc/exports file has changed

Signal syntax:
  `QObject.connect(source, SIGNAL("changed()"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

QString exportsPath | ( |  | self ) |

Returns the path to the used exports file, or null if no exports file was found

bool isDirectoryShared | ( | self, |
|  | QString | path
| ) |  |  |

Whether or not the given path is shared by NFS.

Parameters:

  | path | the path to check if it is shared by NFS.

Returns:
  whether the given path is shared by NFS.

QStringList sharedDirectories | ( |  | self ) |

Returns a list of all directories shared by NFS. The resulting list is not sorted.

Returns:
  a list of all directories shared by NFS.

## Static Method Documentation

KNFSShare instance | ( |  | ) |

Returns the one and only instance of KNFSShare